Subject: Re: Run Windows application via ssh
From: Larry Hall <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: Mauro Migliorati <[email-masked]>
Date: Mon, 03 May 2004 11:55:14 -0400

At 11:39 AM 5/3/2004, you wrote:
>On Mon, 3 May 2004, Larry Hall wrote:
>
>> At 10:01 AM 5/3/2004, you wrote:
>> >Hello,
>> >
>> >I installed Cygwin on a machine with Windows XP and started the service
>> >sshd. I would like to connect from another machine (client) via ssh,
>> >run a Windows application on the server and view the window on the
>> >client. I do not want to use vnc, I just want to run a single
>> >application, not the desktop of the server that is used by another
>> >user.
>> >
>> >I manage to connect via ssh but, when I try to open an application,
>> >like notepad, it does not appear on the client screen.
>>
>> Specify the '--interactive' flag to 'cygrunsrv' when you install 'sshd'.
>
>This will only pop up notepad (or any other windowed application) on the
>*server's* desktop.  What the OP wants is forwarding of individual
>graphical apps over ssh, and this can't be done with Windows apps.

Right, sorry.  I don't know how I missed the "view the window on the client"
part.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/